%define pypi_name rope

Name:           python-%{pypi_name}
Version:        0.18.0
Release:        %mkrel 1
Summary:        Python refactoring library
License:        GPLv2
Group:          Development/Python
Url:            https://pypi.org/project/rope/#files
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Rope is a Python refactoring library. You can use rope as a library in other
IDEs.

%package -n python3-%{pypi_name}
Summary:        Python 3 refactoring library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Rope is a Python refactoring library. You can use rope as a library in other
IDEs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf rope.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYING
%doc README.rst docs/*
%{python3_sitelib}/rope*


%changelog
* Sun Nov 08 2020 guillomovitch <guillomovitch> 0.18.0-1.mga8
+ Revision: 1643764
- new version 0.18.0

* Mon Sep 14 2020 guillomovitch <guillomovitch> 0.17.0-1.mga8
+ Revision: 1626395
- new version 0.17.0

* Thu Feb 20 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1545317
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1484634
- new version: 0.16.0

* Tue Sep 17 2019 tv <tv> 0.14.0-2.mga8
+ Revision: 1443224
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 0.14.0-1.mga7
+ Revision: 1393837
- new version 0.14.0

* Sun Mar 17 2019 daviddavid <daviddavid> 0.12.0-1.mga7
+ Revision: 1378167
- new version: 0.12.0

* Thu Jan 10 2019 shlomif <shlomif> 0.11.0-1.mga7
+ Revision: 1354252
- New version

* Thu Sep 20 2018 umeabot <umeabot> 0.10.7-2.mga7
+ Revision: 1290003
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 kekepower <kekepower> 0.10.7-1.mga7
+ Revision: 1211130
- Update to version 0.10.7
- Renamed python-rope to python2-rope
- Added python3-rope

* Tue Mar 15 2016 daviddavid <daviddavid> 0.10.2-3.mga6
+ Revision: 990898
- rediff CVE-2014-3539 patch (since fixed autopatch)

* Sat Feb 20 2016 umeabot <umeabot> 0.10.2-2.mga6
+ Revision: 971133
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 889325
- new version: 0.10.2
- use new python2 macros

* Thu Oct 08 2015 tv <tv> 0.9.4-11.mga6
+ Revision: 887726
- rebuild for python 3.5

* Thu Oct 08 2015 tv <tv> 0.9.4-10.mga6
+ Revision: 887568
- rebuild for python 3.5

* Sat Mar 07 2015 philippem <philippem> 0.9.4-9.mga5
+ Revision: 818068
- fix CVE-2014-3539 mga~15427

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-8.mga5
+ Revision: 742260
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.4-7.mga5
+ Revision: 729658
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-6.mga5
+ Revision: 688311
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.4-4.mga4
+ Revision: 544955
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.4-3.mga4
+ Revision: 500567
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.4-2.mga3
+ Revision: 379447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 obgr_seneca <obgr_seneca> 0.9.4-1.mga3
+ Revision: 330116
- new version

* Sun Mar 20 2011 obgr_seneca <obgr_seneca> 0.9.3-1.mga1
+ Revision: 75040
- cleaned up spec
- removed buildroot tag
- replaced '%%py_requires -d' by 'BuildRequires: python-devel'
- removed defines at the top of the spec
- imported package python-rope


* Wed Nov 03 2010 Lev Givon <lev@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 592949
- import python-rope


